## org.eclipse.xsd.util
Class XSDUtil

    java.lang.Object
      org.eclipse.xsd.util.XSDConstants
          org.eclipse.xsd.util.XSDUtil

    public final class XSDUtil

extends XSDConstants

Nested Class Summary
`static interface` `XSDUtil.ByteSequence` This is a wrapper type for representing values of type hexBin or base64Binary.
`static class` `XSDUtil.URICrossReferencer` A cross referencer that finds each usage of URI or collection of URIs.
`static class` `XSDUtil.UsageCrossReferencer` A cross referencer that finds each usage of an EObject or collection of EObjects, excluding unintesting derived references.
`static class` `XSDUtil.XSDNamedComponentCrossReferencer` A cross referencer that finds all XSDNamedComponents and each usage of an XSDNamedComponent.

Field Summary

Fields inherited from class org.eclipse.xsd.util.XSDConstants

`ABSTRACT_ATTRIBUTE, ALL_ELEMENT, ALL_ELEMENT_TAG, ANNOTATION_ELEMENT, ANNOTATION_ELEMENT_TAG, ANY_ELEMENT, ANY_ELEMENT_TAG, ANYATTRIBUTE_ELEMENT, ANYATTRIBUTE_ELEMENT_TAG, APPINFO_ELEMENT, APPINFO_ELEMENT_TAG, ATTRIBUTE_ELEMENT, ATTRIBUTE_ELEMENT_TAG, ATTRIBUTEFORMDEFAULT_ATTRIBUTE, ATTRIBUTEGROUP_ELEMENT, ATTRIBUTEGROUP_ELEMENT_TAG, BASE_ATTRIBUTE, BLOCK_ATTRIBUTE, BLOCKDEFAULT_ATTRIBUTE, CHOICE_ELEMENT, CHOICE_ELEMENT_TAG, COMPLEXCONTENT_ELEMENT, COMPLEXCONTENT_ELEMENT_TAG, COMPLEXTYPE_ELEMENT, COMPLEXTYPE_ELEMENT_TAG, DEFAULT_ATTRIBUTE, DEFREF_ATTRIBUTE, DOCUMENTATION_ELEMENT, DOCUMENTATION_ELEMENT_TAG, ELEMENT_ELEMENT, ELEMENT_ELEMENT_TAG, ELEMENT_TAGS, ELEMENTFORMDEFAULT_ATTRIBUTE, ENUMERATION_ELEMENT, ENUMERATION_ELEMENT_TAG, EXTENSION_ELEMENT, EXTENSION_ELEMENT_TAG, FIELD_ELEMENT, FIELD_ELEMENT_TAG, FINAL_ATTRIBUTE, FINALDEFAULT_ATTRIBUTE, FIXED_ATTRIBUTE, FORM_ATTRIBUTE, FRACTIONDIGITS_ELEMENT, FRACTIONDIGITS_ELEMENT_TAG, GROUP_ELEMENT, GROUP_ELEMENT_TAG, HFP_ELEMENT_TAGS, HFP_HASFACET_ELEMENT, HFP_HASFACET_ELEMENT_TAG, HFP_HASPROPERTY_ELEMENT, HFP_HASPROPERTY_ELEMENT_TAG, HFP_NAME_ATTRIBUTE, HFP_VALUE_ATTRIBUTE, ID_ATTRIBUTE, IMPORT_ELEMENT, IMPORT_ELEMENT_TAG, INCLUDE_ELEMENT, INCLUDE_ELEMENT_TAG, ITEMTYPE_ATTRIBUTE, KEY_ELEMENT, KEY_ELEMENT_TAG, KEYREF_ELEMENT, KEYREF_ELEMENT_TAG, LENGTH_ELEMENT, LENGTH_ELEMENT_TAG, LIST_ELEMENT, LIST_ELEMENT_TAG, MAXEXCLUSIVE_ELEMENT, MAXEXCLUSIVE_ELEMENT_TAG, MAXINCLUSIVE_ELEMENT, MAXINCLUSIVE_ELEMENT_TAG, MAXLENGTH_ELEMENT, MAXLENGTH_ELEMENT_TAG, MAXOCCURS_ATTRIBUTE, MEMBERTYPES_ATTRIBUTE, MINEXCLUSIVE_ELEMENT, MINEXCLUSIVE_ELEMENT_TAG, MININCLUSIVE_ELEMENT, MININCLUSIVE_ELEMENT_TAG, MINLENGTH_ELEMENT, MINLENGTH_ELEMENT_TAG, MINOCCURS_ATTRIBUTE, MIXED_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, NILLABLE_ATTRIBUTE, NOTATION_ELEMENT, NOTATION_ELEMENT_TAG, OCCURS_ATTRIBUTE, PART1, PART2, PATTERN_ELEMENT, PATTERN_ELEMENT_TAG, PROCESSCONTENTS_ATTRIBUTE, PUBLIC_ATTRIBUTE, REDEFINE_ELEMENT, REDEFINE_ELEMENT_TAG, REF_ATTRIBUTE, REFER_ATTRIBUTE, RESTRICTION_ELEMENT, RESTRICTION_ELEMENT_TAG, SCHEMA_ELEMENT, SCHEMA_ELEMENT_TAG, SCHEMA_FOR_SCHEMA_URI_1999, SCHEMA_FOR_SCHEMA_URI_2000_10, SCHEMA_FOR_SCHEMA_URI_2001, SCHEMA_HAS_FACET_AND_PROPERTY_URI_2001, SCHEMA_INSTANCE_URI_2001, SCHEMALOCATION_ATTRIBUTE, SELECTOR_ELEMENT, SELECTOR_ELEMENT_TAG, SEQUENCE_ELEMENT, SEQUENCE_ELEMENT_TAG, SIMPLECONTENT_ELEMENT, SIMPLECONTENT_ELEMENT_TAG, SIMPLETYPE_ELEMENT, SIMPLETYPE_ELEMENT_TAG, SOURCE_ATTRIBUTE, SUBSTITUTIONGROUP_ATTRIBUTE, SYSTEM_ATTRIBUTE, TARGETNAMESPACE_ATTRIBUTE, TOTALDIGITS_ELEMENT, TOTALDIGITS_ELEMENT_TAG, TYPE_ATTRIBUTE, UNION_ELEMENT, UNION_ELEMENT_TAG, UNIQUE_ELEMENT, UNIQUE_ELEMENT_TAG, USE_ATTRIBUTE, VALUE_ATTRIBUTE, VERSION_ATTRIBUTE, WHITESPACE_ELEMENT, WHITESPACE_ELEMENT_TAG, XML_NAMESPACE_URI_1998, XMLNS_URI_2000, XPATH_ATTRIBUTE`

Constructor Summary
`XSDUtil()`

Method Summary
`static XSDNamedComponent` `findInSortedList(java.util.List<? extends XSDNamedComponent> xsdNamedComponents, java.lang.String namespace, java.lang.String name)` Returns the matching named component in the sorted list of named components, or `null</null> if there isn't one.`
`static XSDSchema` `getSchemaForSchema(java.lang.String schemaForSchemaURI)` Returns the singleton instance of the schema for schemas.

Methods inherited from class org.eclipse.xsd.util.XSDConstants
`hfpNodeType, hfpNodeType, isAnySimpleType, isAnyType, isOrIsDerivedFrom, isOrIsDerivedFrom, isOrIsDerivedFromID, isSchemaForSchemaNamespace, isSchemaHasFacetAndPropertyNamespace, isSchemaInstanceNamespace, isURType, isXMLNamespace, isXMLNSNamespace, lookupQName, lookupQNameForAttribute, lookupQualifier, nodeType, nodeType, resolveSchemaLocation, uri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDUtil

    public XSDUtil()

Method Detail

### getSchemaForSchema

    public static XSDSchema getSchemaForSchema(java.lang.String schemaForSchemaURI)

  Returns the singleton instance of the schema for schemas.

### findInSortedList

    public static XSDNamedComponent findInSortedList(java.util.List<? extends XSDNamedComponent> xsdNamedComponents,
                                                     java.lang.String namespace,
                                                     java.lang.String name)

  Returns the matching named component in the sorted list of named components, or `null</null> if there isn't one. This list is expected to be one of a `schema's` list of named components.

  `
  Parameters:
    `xsdNamedComponents` - a sorted lists of named components.
    `namespace` - the namespace to search
    `name` - the name to search
  Returns:
    the matching component, if any.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.